package vanilla.counter.client;

import java.net.URL;

import org.globus.axis.util.Util;

import vanilla.counter.Counter;
import vanilla.counter.GetValueRequest;
import vanilla.counter.GetValueResponse;
import vanilla.counter.IncrementRequest;
import vanilla.counter.service.CounterServiceAddressingLocator;

public class CounterAdd {
    public static void main(String[] args) throws Exception {
        CounterServiceAddressingLocator locator =
            new CounterServiceAddressingLocator();
        
	try {
            URL counterURL = new URL(args[0]);
            if (args.length < 2) {
                throw new ArrayIndexOutOfBoundsException();
            }
            int[] values = new int[args.length - 1];
            for(int i = 1; i < args.length; i++) {
                values[i-1] = Integer.parseInt(args[i]);
            }            

            // Get counter service
            Counter counter = locator.getCounterPort(counterURL);

            // Perform addition
            System.out.print("Incrementing counter with values ...");
            counter.increment(new IncrementRequest(values));
            System.out.println(" done!");            

            // Get counter value
            GetValueResponse valueResponse = counter.getValue(new GetValueRequest());
            System.out.println("Current counter value: " + valueResponse.getValue());
	} catch (ArrayIndexOutOfBoundsException e) {
            System.err.println("Usage: CounterAdd <service-url> values ... ");
	}	    
    }
}
