package vanilla.counter.impl;

import java.rmi.RemoteException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import vanilla.counter.IncrementRequest;
import vanilla.counter.IncrementResponse;
import vanilla.counter.GetValueRequest;
import vanilla.counter.GetValueResponse;

public class CounterService {    
    private static Log logger = LogFactory.getLog(CounterService.class.getName());
    private int counter = 0;

    public CounterService() {
        logger.debug("Counter service created");
    }
    
    public IncrementResponse increment(IncrementRequest incr)
        throws RemoteException {
        int[] values = incr.getValue();
        for(int i = 0; i < values.length; i++) {
            logger.debug("Adding value: " + values[i]);
            counter += values[i];
        }
        return new IncrementResponse();
    }
    
    public GetValueResponse getValue(GetValueRequest parameters)
        throws RemoteException {
        
        GetValueResponse response = new GetValueResponse();
        response.setValue(counter);
        return response;
    }
}
